// a program to test the sprite library
#include "conio.h"
#include "fastgraf.h"  //requires fgl.lib to link, fgll.lib should work too
#include "testblit.h"  // .h file made by PHOTON32 to prototype sprite

#define PG0 0xA000
#define PG1 0xa4B0


void main(void)
{
int c;

fg_setmode(22);  // mode 21=X Mode...thanks M. Abrash!

// no mode checking code here...buy a VGA card if ya ain't got one!

for (c=0;c<72;c=c+6) SHIP(c,c*3,PG0); // blit a line of ugly ships

// try modifying this to overlap ships, find the hole in the ship


getch();     // wait for a key

fg_setmode(3);  // back to text mode
fg_reset();
}

